Subject: git-diff-files and fakeroot

From: Ryan Anderson <[email-masked]>
Date: Mon, 16 Jan 2006 21:10:57 -0500

I've been trying to track down a strange issue with building kernels
(and scripts/setlocalversion) and finally realized the problem was the
when run under fakeroot, git-diff-files thinks everything is changed
(deleted, I believe)

Oddly, running "git status" seems to correct things.

Running "fakeroot git-diff-files" gives me lines like this:

:100644 100644 f866059f24bacd314fa4a979334a9893dbfc19ba 0000000000000000000000000000000000000000 M      write-tree.c

Looking at strace output, I can't see a difference that appears meaningful,

I can probably work around this, some other way, but knowing if
this is something that is fixable in git itself or not would be nice.

Thanks!

-- 

Ryan Anderson
  sometimes Pug Majere